<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <style type="text/css" media="all">
    * {
      margin: 0;
      padding: 0;
    }

    body {
      font-family: "sans-serif";
      max-width: 1200px;
      margin: 0 auto;
    }

    table {
      width: 100%;
      height: 100%;
      border-collapse: collapse;
    }

    table tr td {
      font-size: 12px;
      text-align: center;
    }

    table#main {
      border: 1px solid black;
      border-top: none;
      page-break-inside: auto;
    }

    table#main tr.footer
    {
      padding:5px 0px;
      border-top: 1px solid black;
    }

    table#main thead, table#main tr.footer {
      background: #EEE;
      font-weight: bolder;
      text-align: center;
      border-bottom: 1px solid black;
      font-size: 16px;
      /* vertical-align: top; */
    }

    table#main tr {
      border: none;
      page-break-inside: avoid;
      page-break-after: auto;
      border-bottom: solid 1px black;
    }

    table#main tr td {
      border-right: solid 1px black;
      border-left: solid 1px black;
      border-bottom: solid 1px black;
      padding: 2px 3px;
    }

    table#main tr td:first-child {
      /* vertical-align: top; */
    }


    table#main tr td:first-child,
    table#main tr td:last-child {
      border: none;
    }

    table#main .tax tr td:first-child {
      vertical-align: middle;
    }

    table#main .tax tr {
      border: none;
    }

    .m-t-10 {
      margin-top: 10px;
    }

    .m-t-20 {
      margin-top: 20px;
    }

    .m-t-70 {
      margin-top: 70px;
    }

    .pd-r-25 {
      padding-right: 25px;
    }

    .flex {
      display: flex;
      display: -webkit-box;
      display: -ms-flexbox;
    }

    .w-70 {
      width: 70%;
    }

    .w-30 {
      width: 30%;
    }

    .w-50 {
      width: 50%;
    }

    .text-right {
      text-align: right;
    }

    .border-top-bottom {
      border-top: 1px solid;
      border-bottom: 1px solid;
    }

    .pd-20 {
      padding: 10px;
    }

    .pd-5 {
      padding-top: 5px;
    }

    .bold {
      font-weight: bolder;
    }

    .summary {
        page-break-inside: avoid;
        font-size: 14px;
    }
  </style>
</head>
@php
  $invoiceTotal = 0;
@endphp
<body>
  <div>
    <table id="main">
      <thead>
      <td>#</td>
      <td>Product Name</td>
      <td>HSN</td>
      <td>MRP</td>
      <td>Quantity</td>
      <td>Taxable</td>
      @foreach($tax_types as $tt)
        <td>{{$tt}}</td>
      @endforeach
      <td>Total Tax</td>
      <td>Invoiced Cost</td>
      <td>Post Tax Discount</td>
      <td>Effective Cost</td>
      </thead>
      <tbody>
      @php
        $j = 1;
        $invoiceTotal = 0;
      @endphp
      @foreach($items as $item)
        <tr>
          <td>{{$j}}</td>
          <td>{{$item['name']}}</td>
          <td>{{$item['hsn']}}</td>
          <td>{{$item['mrp']}}</td>
          <td>{{$item['quantity']}}</td>
          <td>{{round($item['taxable'], 2)}}</td>
          @foreach($tax_types as $tt)
            @if(!empty($item['taxes'][$tt]))
                @if($item['taxes'][$tt]['value'])
                  <td>{{round($item['taxes'][$tt]['value'], 2)}}</td>
                  @else
                  <td>{{round($item['taxes'][$tt]['addition_charges'], 2)}}</td>
                @endif
              @else
              0
            @endif
          @endforeach
          <td>{{round($item['total_tax'], 2)}}</td>
          <td>{{round($item['invoiced_cost'], 2)}}</td>
          <td>{{round($item['post_tax_discount'], 2)}}</td>
          <td>{{round($item['effective_cost'], 2)}}</td>
        </tr>
        @php
          $j++;
          $invoiceTotal += round($item['effective_cost'], 2);
        @endphp
      @endforeach
      </tbody>
    </table>

    <div class='summary'>

      <div class="flex border-top-bottom pd-5" style="margin-top:5px">
        <div class="w-70">
          &nbsp;Rs {{Niyotail\Helpers\Utils::getAmountInWords(round($invoiceTotal))}} Only
        </div>

        <div class="w-30">
          <div class="flex">
            <div class="w-50">
              <b>GRAND TOTAL</b>
            </div>
            <div class="w-50 text-right pd-r-25">
              <b>&#x20b9; {{number_format(round($invoiceTotal))}}</b>
            </div>
          </div>
        </div>
      </div>

      @if($note->createdBy)
        <div style="float: right;margin-left: auto;text-align: center;">
          <br>
          <br>
          <br>
          <b>Debit note generated by</b>
          <br>
          <br>
          <b>{{$note->createdBy->name}}</b>
          <br>
          {{$note->createdBy->email}}
        </div>
      @endif

    </div>


</div>
</body>

</html>
